/*****************************************************************************/
/* File       : edump.h                                                      */
/* Description: definitions for edump.c                                      */
/* Author     : Peter Tobias, tobias@et-inf.fho-emden.de, tobias@linux.de    */
/*****************************************************************************/
/* This file is part of the implementation of the thesis                     */
/*                                                                           */
/*  Entwurf und Implementation eines Protokoll Analysators fuer              */
/*  ISO 7498 konforme Netzwerke                                              */
/*                                                                           */
/*  (Design and implementation of a protocol analyzer for ISO 7498           */
/*   conforming networks)                                                    */
/*                                                                           */
/* Copyright 1996 by Peter Tobias.  All rights reserved. This program is NOT */
/* free software; it may not be used or redistributed without permission.    */
/*****************************************************************************/

#ifndef _EDUMP_H
#define _EDUMP_H

#include <pcap.h>
#include <net/bpf.h>

#define CAPTUREFILE "capture"

char *ll_type[] = {
    "no link-layer encapsulation",	/* 00 DLT_NULL		*/
    "Ethernet (10Mb)",			/* 01 DLT_EN10MB	*/
    "Experimental Ethernet (3Mb)",	/* 02 DLT_EN3MB		*/
    "Amateur Radio AX.25",		/* 03 DLT_AX25		*/
    "Proteon ProNET Token Ring",	/* 04 DLT_PRONET	*/
    "Chaos",				/* 05 DLT_CHAOS		*/
    "IEEE 802 Networks",		/* 06 DLT_IEEE802	*/
    "ARCNET",				/* 07 DLT_ARCNET	*/
    "Serial Line IP",			/* 08 DLT_SLIP		*/
    "Point-to-point Protocol",		/* 09 DLT_PPP		*/
    "FDDI",				/* 10 DLT_FDDI		*/
    "LLC/SNAP encapsulated ATM"		/* 11 DLT_ATM_RFC1483	*/
};

#endif

